/**
 * @author Elmer Valencia Ledezmas / gmail: elmer.r.valencia@gmail.com / cel:
 * 71413596
 */

package View;

import Container.EntityContainer;
import Model.*;
import java.awt.Color;
import java.awt.Image;
import java.awt.ScrollPane;
import java.io.File;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.ImageIcon;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import javax.swing.JScrollPane;
import javax.swing.ScrollPaneConstants;
import sun.security.action.OpenFileInputStreamAction;
/**
 *
 * @author Elmer Valencia Ledezma elmer.r.valencia@gmail.com
 */
public class VentanaPrincipal extends javax.swing.JFrame {
    
    //CONTADOR PARA LA CREACION DE ENTIDADES
    private int CONTADOR_E = 1;

    JFileChooser seleccionado = new JFileChooser();
    File archivo;
    byte[] bytesImg;
    
    private EntityContainer ENTITY_CONTAINER;
    private PanelGraphics PANEL_GRAPHICS;
//    private JScrollPane JS;

    public VentanaPrincipal() {
        this.ENTITY_CONTAINER = new EntityContainer();
        this.PANEL_GRAPHICS = new PanelGraphics(this.ENTITY_CONTAINER);
        this.PANEL_GRAPHICS.setBounds(0, 0, 1500, 2000);
        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(this.PANEL_GRAPHICS);
        this.PANEL_GRAPHICS.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 2000, Short.MAX_VALUE));
        jPanel1Layout.setVerticalGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 1500, Short.MAX_VALUE));
        initComponents();
        Image icon = new ImageIcon(getClass().getResource("/Images/Logo.jpg")).getImage();
        this.setIconImage(icon);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jbttn_MD = new javax.swing.JButton();
        jbttn_Clasificador = new javax.swing.JButton();
        jbttn_Composicion = new javax.swing.JButton();
        jbttn_IsA = new javax.swing.JButton();
        jbttn_ReflexionSimple = new javax.swing.JButton();
        jbttn_ReflexionHistorico = new javax.swing.JButton();
        jbttn_TablaBasico = new javax.swing.JButton();
        jbttn_GE = new javax.swing.JButton();
        jSeparator1 = new javax.swing.JSeparator();
        jSeparator2 = new javax.swing.JSeparator();
        jSeparator3 = new javax.swing.JSeparator();
        jPanel3 = new javax.swing.JPanel();
        jbttn_borrarTabla = new javax.swing.JButton();
        jSeparator4 = new javax.swing.JSeparator();
        jSeparator5 = new javax.swing.JSeparator();
        jLabel1 = new javax.swing.JLabel();
        jScrollPane2 = new javax.swing.JScrollPane();
        Tree_tablas = new javax.swing.JTree();
        jPanel2 = new javax.swing.JPanel();
        jbttn_nuevo = new javax.swing.JButton();
        jPanel4 = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTxtA_warnin = new javax.swing.JTextArea();
        JS = new javax.swing.JScrollPane(this.PANEL_GRAPHICS);
        jMenuBar1 = new javax.swing.JMenuBar();
        jm_archivo = new javax.swing.JMenu();
        jmi_nuevo = new javax.swing.JMenuItem();
        jSeparator6 = new javax.swing.JPopupMenu.Separator();
        jSeparator7 = new javax.swing.JPopupMenu.Separator();
        jmi_cerrarPrograma = new javax.swing.JMenuItem();
        jmi_salir = new javax.swing.JMenuItem();
        jm_ayuda = new javax.swing.JMenu();
        jmi_manualID = new javax.swing.JMenuItem();
        jmi_articulo = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("IdiomsDesigner");
        setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));

        jPanel1.setBackground(new java.awt.Color(204, 204, 204));
        jPanel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jbttn_MD.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/entidad.gif"))); // NOI18N
        jbttn_MD.setText("M-D");
        jbttn_MD.setToolTipText("Nuevo Idioms Maestro-Detalle");
        jbttn_MD.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbttn_MDActionPerformed(evt);
            }
        });

        jbttn_Clasificador.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/entidad.gif"))); // NOI18N
        jbttn_Clasificador.setText("Cdo");
        jbttn_Clasificador.setToolTipText("Nuevo Idioms Clasificador o Catalogo");
        jbttn_Clasificador.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbttn_ClasificadorActionPerformed(evt);
            }
        });

        jbttn_Composicion.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/entidad.gif"))); // NOI18N
        jbttn_Composicion.setText("Con");
        jbttn_Composicion.setToolTipText("Nuevo Idioms Composicion");
        jbttn_Composicion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbttn_ComposicionActionPerformed(evt);
            }
        });

        jbttn_IsA.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/entidad.gif"))); // NOI18N
        jbttn_IsA.setText("Isa");
        jbttn_IsA.setToolTipText("Nuevo Idioms ISA");
        jbttn_IsA.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbttn_IsAActionPerformed(evt);
            }
        });

        jbttn_ReflexionSimple.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/entidad.gif"))); // NOI18N
        jbttn_ReflexionSimple.setText("R-S");
        jbttn_ReflexionSimple.setToolTipText("Nuevo Idioms Reflexivo Simple");
        jbttn_ReflexionSimple.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbttn_ReflexionSimpleActionPerformed(evt);
            }
        });

        jbttn_ReflexionHistorico.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/entidad.gif"))); // NOI18N
        jbttn_ReflexionHistorico.setText("R-H");
        jbttn_ReflexionHistorico.setToolTipText("Nuevo Idioms Reflexivo Historico");
        jbttn_ReflexionHistorico.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbttn_ReflexionHistoricoActionPerformed(evt);
            }
        });

        jbttn_TablaBasico.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/entidad.gif"))); // NOI18N
        jbttn_TablaBasico.setText("Basico");
        jbttn_TablaBasico.setToolTipText("Nuevo Idioms Basico");
        jbttn_TablaBasico.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbttn_TablaBasicoActionPerformed(evt);
            }
        });

        jbttn_GE.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/export.png"))); // NOI18N
        jbttn_GE.setText("G.C.");
        jbttn_GE.setToolTipText("Generacion de Codigo SQL");
        jbttn_GE.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbttn_GEActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jSeparator1)
            .addComponent(jSeparator2)
            .addComponent(jSeparator3)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jbttn_GE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jbttn_TablaBasico, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                            .addComponent(jbttn_MD, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jbttn_Clasificador, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jbttn_Composicion, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jbttn_IsA, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jbttn_ReflexionSimple, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jbttn_ReflexionHistorico, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addGap(0, 0, Short.MAX_VALUE)))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jbttn_MD)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbttn_Clasificador)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbttn_Composicion)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbttn_IsA)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbttn_ReflexionSimple)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbttn_ReflexionHistorico)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbttn_TablaBasico)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jSeparator2, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbttn_GE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jSeparator3, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jPanel3.setBackground(new java.awt.Color(200, 200, 200));
        jPanel3.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jbttn_borrarTabla.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/delete.png"))); // NOI18N
        jbttn_borrarTabla.setText("Eliminar Idioms");
        jbttn_borrarTabla.setToolTipText("Elimina un Idioms en el are de diseño");
        jbttn_borrarTabla.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbttn_borrarTablaActionPerformed(evt);
            }
        });

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jLabel1.setText(" ");

        javax.swing.tree.DefaultMutableTreeNode treeNode1 = new javax.swing.tree.DefaultMutableTreeNode("root");
        Tree_tablas.setModel(new javax.swing.tree.DefaultTreeModel(treeNode1));
        Tree_tablas.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        jScrollPane2.setViewportView(Tree_tablas);

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jSeparator5)
            .addComponent(jSeparator4)
            .addComponent(jScrollPane2)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel3Layout.createSequentialGroup()
                        .addComponent(jLabel1)
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addComponent(jbttn_borrarTabla, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addGap(8, 8, 8)
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 278, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(9, 9, 9)
                .addComponent(jSeparator5, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbttn_borrarTabla)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jSeparator4, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 86, Short.MAX_VALUE))
        );

        jPanel2.setBackground(new java.awt.Color(204, 204, 204));
        jPanel2.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jbttn_nuevo.setIcon(new javax.swing.ImageIcon("C:\\Users\\Elmer\\Documents\\NetBeansProjects\\IdiomsDesigner\\src\\Images\\ic1.gif")); // NOI18N
        jbttn_nuevo.setToolTipText("Nuevo Proyecto");
        jbttn_nuevo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbttn_nuevoActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jbttn_nuevo, javax.swing.GroupLayout.PREFERRED_SIZE, 27, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jbttn_nuevo)
        );

        jPanel4.setBackground(new java.awt.Color(204, 204, 204));
        jPanel4.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jTxtA_warnin.setColumns(20);
        jTxtA_warnin.setFont(new java.awt.Font("Monospaced", 2, 13)); // NOI18N
        jTxtA_warnin.setRows(5);
        jScrollPane1.setViewportView(jTxtA_warnin);

        javax.swing.GroupLayout jPanel4Layout = new javax.swing.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane1)
                .addContainerGap())
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 38, Short.MAX_VALUE)
        );

        jm_archivo.setText("Archivo");

        jmi_nuevo.setIcon(new javax.swing.ImageIcon("C:\\Users\\Elmer\\Documents\\NetBeansProjects\\IdiomsDesigner\\src\\Images\\ic1.gif")); // NOI18N
        jmi_nuevo.setText("Nuevo Proyecto");
        jmi_nuevo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jmi_nuevoActionPerformed(evt);
            }
        });
        jm_archivo.add(jmi_nuevo);
        jm_archivo.add(jSeparator6);
        jm_archivo.add(jSeparator7);

        jmi_cerrarPrograma.setText("Cerrar Programa");
        jmi_cerrarPrograma.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jmi_cerrarProgramaActionPerformed(evt);
            }
        });
        jm_archivo.add(jmi_cerrarPrograma);

        jmi_salir.setText("Salir");
        jmi_salir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jmi_salirActionPerformed(evt);
            }
        });
        jm_archivo.add(jmi_salir);

        jMenuBar1.add(jm_archivo);

        jm_ayuda.setText("Ayuda");

        jmi_manualID.setText("Manual IdiomsDesigner");
        jmi_manualID.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jmi_manualIDActionPerformed(evt);
            }
        });
        jm_ayuda.add(jmi_manualID);

        jmi_articulo.setText("Acerca de E-R Idioms");
        jmi_articulo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jmi_articuloActionPerformed(evt);
            }
        });
        jm_ayuda.add(jmi_articulo);

        jMenuBar1.add(jm_ayuda);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(JS, javax.swing.GroupLayout.DEFAULT_SIZE, 672, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(jPanel4, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(JS))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPanel4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jmi_nuevoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jmi_nuevoActionPerformed
        if(evt.getSource() == jmi_nuevo) {
            VentanaPrincipal v = new VentanaPrincipal();
            v.setVisible(true);    
        }
    }//GEN-LAST:event_jmi_nuevoActionPerformed

    private void jbttn_MDActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbttn_MDActionPerformed
         if(evt.getSource() == jbttn_MD) {
             int x = 50;
             int y = 50;
             String tipo = "MD";
             IdiomsModel i = new IdiomsModel(x, y, tipo, "", this.ENTITY_CONTAINER, this.CONTADOR_E,"","");
             this.PANEL_GRAPHICS.addIdioms(i);
             this.CONTADOR_E = this.CONTADOR_E + 2;
         }   
    }//GEN-LAST:event_jbttn_MDActionPerformed

    private void jbttn_GEActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbttn_GEActionPerformed
        if (evt.getSource() == jbttn_GE) {
            CodeGeneration vge = new CodeGeneration(new javax.swing.JFrame(), true, this.ENTITY_CONTAINER, this.jTxtA_warnin);
            vge.setVisible(true);
        }
    }//GEN-LAST:event_jbttn_GEActionPerformed

    private void jbttn_borrarTablaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbttn_borrarTablaActionPerformed
        if(evt.getSource() == jbttn_borrarTabla){
            this.PANEL_GRAPHICS.deletIdioms();
            System.out.println("Maestro:"+ENTITY_CONTAINER.getMaestro());
            System.out.println("FKs_M:"+ENTITY_CONTAINER.getMLlaveSegundaria());
            System.out.println("Detalle:"+ENTITY_CONTAINER.getDetalle());
            System.out.println("FKs_D:"+ENTITY_CONTAINER.getDLlaveSegundaria());
            System.out.println("Clasificador:"+ENTITY_CONTAINER.getClasificador());
            System.out.println("FKs_CLR:"+ENTITY_CONTAINER.getCORLlaveSegundaria());
            System.out.println("Clasificado:"+ENTITY_CONTAINER.getClasificado());
            System.out.println("FKs_CLO:"+ENTITY_CONTAINER.getCDOLlaveSegundaria());
            System.out.println("Composicion:"+ENTITY_CONTAINER.getComposicion());
            System.out.println("FKs_C:"+ENTITY_CONTAINER.getCLlaveSegundaria());
            System.out.println("Componedor:"+ENTITY_CONTAINER.getComponedor());
            System.out.println("FKs_CC:"+ENTITY_CONTAINER.getCCLlaveSegundaria());
            System.out.println("General:"+ENTITY_CONTAINER.getGeneral());
            System.out.println("FKs_G:"+ENTITY_CONTAINER.getGLlaveSegundaria());
            System.out.println("ISA:"+ENTITY_CONTAINER.getIsa());
            System.out.println("FKs_I:"+ENTITY_CONTAINER.getILlaveSegundaria());
            System.out.println("RSimple:"+ENTITY_CONTAINER.getRSimple());
            System.out.println("FKs_RS:"+ENTITY_CONTAINER.getRSLlaveSegundaria());
            System.out.println("Actor:"+ENTITY_CONTAINER.getActor());
            System.out.println("FKs_A:"+ENTITY_CONTAINER.getALlaveSegundaria());
            System.out.println("Historia:"+ENTITY_CONTAINER.getHistoria());
            System.out.println("FKs_H:"+ENTITY_CONTAINER.getHLlaveSegundaria());
            System.out.println("Basico:"+ENTITY_CONTAINER.getBasico());
            System.out.println("FKs_B:"+ENTITY_CONTAINER.getBLlaveSegundaria());
            System.out.println("-------------------------------------------------");
            
        }
    }//GEN-LAST:event_jbttn_borrarTablaActionPerformed

    private void jbttn_TablaBasicoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbttn_TablaBasicoActionPerformed
        if (evt.getSource() == jbttn_TablaBasico) {
            int x = 50;
            int y = 50;
            String tipo = "B";
            IdiomsModel i = new IdiomsModel(x, y, tipo, "", this.ENTITY_CONTAINER, this.CONTADOR_E,"","");
            this.PANEL_GRAPHICS.addIdioms(i);
            this.CONTADOR_E =  this.CONTADOR_E + 1;;
        }
    }//GEN-LAST:event_jbttn_TablaBasicoActionPerformed

// BOTON PARA CREAR UN NUEVO PROYECTO:
    private void jbttn_nuevoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbttn_nuevoActionPerformed
        if(evt.getSource() == jbttn_nuevo){
            VentanaPrincipal v = new VentanaPrincipal();
            v.setVisible(true);
        }
    }//GEN-LAST:event_jbttn_nuevoActionPerformed

    private void jmi_cerrarProgramaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jmi_cerrarProgramaActionPerformed
        if(evt.getSource() == jmi_cerrarPrograma){
            System.exit(0);
            //this.dispose();
        }
    }//GEN-LAST:event_jmi_cerrarProgramaActionPerformed

    private void jmi_salirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jmi_salirActionPerformed
        if(evt.getSource() == jmi_salir){}
    }//GEN-LAST:event_jmi_salirActionPerformed

    private void jbttn_ClasificadorActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbttn_ClasificadorActionPerformed
        if(evt.getSource() == jbttn_Clasificador){
            int x = 50;
            int y = 50;
            String tipo = "CC";
            IdiomsModel i = new IdiomsModel(x, y, tipo, "", this.ENTITY_CONTAINER, this.CONTADOR_E,"","");
            this.PANEL_GRAPHICS.addIdioms(i);
            this.CONTADOR_E = this.CONTADOR_E + 2;;
        }
    }//GEN-LAST:event_jbttn_ClasificadorActionPerformed

    private void jbttn_ReflexionHistoricoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbttn_ReflexionHistoricoActionPerformed
        if (evt.getSource() == jbttn_ReflexionHistorico) {
            int x = 50;
            int y = 50;
            String tipo = "RH";
            IdiomsModel i = new IdiomsModel(x, y, tipo, "", this.ENTITY_CONTAINER, this.CONTADOR_E,"","");
            this.PANEL_GRAPHICS.addIdioms(i);
            this.CONTADOR_E = this.CONTADOR_E + 2;;
        }
    }//GEN-LAST:event_jbttn_ReflexionHistoricoActionPerformed

    private void jbttn_ReflexionSimpleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbttn_ReflexionSimpleActionPerformed
        if (evt.getSource() == jbttn_ReflexionSimple) {
            int x = 50;
            int y = 50;
            String tipo = "RS";
            IdiomsModel i = new IdiomsModel(x, y, tipo, "", this.ENTITY_CONTAINER, this.CONTADOR_E,"","");
            this.PANEL_GRAPHICS.addIdioms(i);
            this.CONTADOR_E = this.CONTADOR_E + 1;;
        }
    }//GEN-LAST:event_jbttn_ReflexionSimpleActionPerformed

    private void jbttn_IsAActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbttn_IsAActionPerformed
        if (evt.getSource() == jbttn_IsA) {
            int x = 50;
            int y = 50;
            String tipo = "ISA";
            IdiomsModel i = new IdiomsModel(x, y, tipo, "", this.ENTITY_CONTAINER, this.CONTADOR_E,"","");
            this.PANEL_GRAPHICS.addIdioms(i);
            this.CONTADOR_E =  this.CONTADOR_E + 2;;
        }
    }//GEN-LAST:event_jbttn_IsAActionPerformed

    private void jbttn_ComposicionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbttn_ComposicionActionPerformed
        if(evt.getSource() == jbttn_Composicion){
            int x = 300;
            int y = 50;
            String tipo = "C";
            IdiomsModel i = new IdiomsModel(x, y, tipo, "", this.ENTITY_CONTAINER, this.CONTADOR_E,"","");
            this.PANEL_GRAPHICS.addIdioms(i);
            this.CONTADOR_E =  this.CONTADOR_E + 3;
        }
    }//GEN-LAST:event_jbttn_ComposicionActionPerformed

    private void jmi_manualIDActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jmi_manualIDActionPerformed
        if(evt.getSource() == jmi_manualID) {
            File fichero = new File("Manual-IdiomsDesigner.pdf");
            try {
                Process p = Runtime.getRuntime().exec("rundll32 SHELL32.DLL,ShellExec_RunDLL " + fichero.getAbsolutePath());
            } catch (Exception evvv) {
                JOptionPane.showMessageDialog(null, "No se puede abrir el archivo, probablemente fue borrado", "ERROR", JOptionPane.ERROR_MESSAGE);

            }
        }
    }//GEN-LAST:event_jmi_manualIDActionPerformed

    private void jmi_articuloActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jmi_articuloActionPerformed
        if (evt.getSource() == jmi_articulo) {
            File fichero = new File("Articulo-E-R-Idioms.pdf");
            try {
                Process p = Runtime.getRuntime().exec("rundll32 SHELL32.DLL,ShellExec_RunDLL " + fichero.getAbsolutePath());
            } catch (Exception evvv) {
                JOptionPane.showMessageDialog(null, "No se puede abrir el archivo, probablemente fue borrado", "ERROR", JOptionPane.ERROR_MESSAGE);

            }
        }
    }//GEN-LAST:event_jmi_articuloActionPerformed

    /**
     * @param args the command line arguments
     */

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JScrollPane JS;
    private javax.swing.JTree Tree_tablas;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JSeparator jSeparator3;
    private javax.swing.JSeparator jSeparator4;
    private javax.swing.JSeparator jSeparator5;
    private javax.swing.JPopupMenu.Separator jSeparator6;
    private javax.swing.JPopupMenu.Separator jSeparator7;
    private javax.swing.JTextArea jTxtA_warnin;
    private javax.swing.JButton jbttn_Clasificador;
    private javax.swing.JButton jbttn_Composicion;
    private javax.swing.JButton jbttn_GE;
    private javax.swing.JButton jbttn_IsA;
    private javax.swing.JButton jbttn_MD;
    private javax.swing.JButton jbttn_ReflexionHistorico;
    private javax.swing.JButton jbttn_ReflexionSimple;
    private javax.swing.JButton jbttn_TablaBasico;
    private javax.swing.JButton jbttn_borrarTabla;
    private javax.swing.JButton jbttn_nuevo;
    private javax.swing.JMenu jm_archivo;
    private javax.swing.JMenu jm_ayuda;
    private javax.swing.JMenuItem jmi_articulo;
    private javax.swing.JMenuItem jmi_cerrarPrograma;
    private javax.swing.JMenuItem jmi_manualID;
    private javax.swing.JMenuItem jmi_nuevo;
    private javax.swing.JMenuItem jmi_salir;
    // End of variables declaration//GEN-END:variables
    private JFileChooser abrirArchivo;
    
}
